<?php
$GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"] ?: array()) + array("_7a7cffa4d53ef9ebe" . "07145b1a5bf3d85" => base64_decode("L2ludHJhbmV0L2RvY3VtZW50cy9pbWFnZXMvbW" . "Fya2VyLmdpZg=="), "_4ca36bbc844fd9e04b91f" . "8a27c589890" => base64_decode("Z2x5cGhpY29ucyBnbHlwaGljb25zL" . "W1hcA=="), "_bc9f5b3b6a495ee55ebb7" . "158ab184dc4" => base64_decode("VVBEQVRFIEVSTVNfZGF0YSBTRVQgdG" . "l0bGU9c3RyOnRpdGxlIFdIRVJFIGlk" . "PWludDppZA=="), "_5e9a99dc0dd49b907abf1b3" . "5e96965f8" => base64_decode("dHJp" . "bQ=="), "_f1a1c12" . "258c3395" . "42b5f89c" . "a976d35f" . "1" => base64_decode("VVBEQVRFIEVSTVNfZGF0YSBTRVQgZGF0ZV9sYXN0X2FjY2Vzc2VkPWludDpkYXR" . "lIFdIRVJFIGlkPWludDppZA=="), "_aed8da0f19091214b78f803510" . "48517c" => base64_decode("c3RybGV" . "u"), "_b969b955d135537988" . "0c0b97b2e4f679" => base64_decode("Y2ZnX21hcmtlcl9hdXRvX2dlbmVyYXRpb25" . "fcHJlZml4"));
use Claromentis\Core\Services;
use Claromentis\Documents\DocumentsApplication;
use Claromentis\Search\Indexing\IndexingQueue;





class ERMSMarker extends ERMSDataObj
{
    
    
    
    
    public function __construct()
    {
        parent::__construct(DOC_TYPE_MARKER);
    }
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    public function Load($id, $_becefc630ea26637f10f240476e32255 = false)
    {
        $db = \Claromentis\Core\Services::I()->GetDb();
        if (!parent::Load($id, $_becefc630ea26637f10f240476e32255)) {
            return false;
        }
        $this->date_last_accessed = new Date();
        $db->unsafe_query = true;
        $db->query($GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_f1a1c12258c339" . "542b5f89ca976d3" . "5f1"], $this->GetDate($this->date_last_accessed), $id);
        return true;
    }
    
    
    
    
    
    
    
    public function Save()
    {
        $db = Services::I()->GetDb();
        $_b34ab5f1ac69818b996067e04caa4631 = DocumentsApplication::getConfig();
        $_b969b955d1355379880c0b97b2e4f679 = $_b34ab5f1ac69818b996067e04caa4631->Get($GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["_b969b955d" . "1355379880" . "c0b97b2e4f" . "679"]);
        if (!parent::Save()) {
            return false;
        }
        if (!$GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["_aed8da0f19091214b78f803510" . "48517c"]($GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_5e9a99dc0dd" . "49b907abf1b3" . "5e96965f8"]($this->title)) > 0) {
            $title = $_b969b955d1355379880c0b97b2e4f679 . $this->doc_id;
            $db->query($GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_bc9f5b3" . "b6a495ee" . "55ebb715" . "8ab184dc" . "4"], $title, $this->id);
        }
        IndexingQueue::Reindex($this->GetSearchType(), $this->doc_id);
        return true;
    }
    
    
    
    
    
    
    public function GetSmallIconUrl()
    {
        return $GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["_7a7cffa4d53ef9ebe07145b1a5bf3d" . "85"];
    }
    
    
    
    
    
    
    public function GetSmallIconCSSClass()
    {
        return $GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["_4ca36bbc844" . "fd9e04b91f8a" . "27c589890"];
    }
    protected function _NewObject()
    {
        return new ERMSMarker();
    }
}